Subject: bug#10555: automake: wrong use of F77FLAGS instead of FFLAGS?

From: Stefano Lattarini <[email-masked]>
Date: Sat, 21 Jan 2012 10:26:12 +0100

On 01/20/2012 09:08 PM, Peter Rosin wrote:
> Stefano Lattarini skrev 2012-01-20 20:53:
>> On 01/19/2012 02:45 PM, Stefano Lattarini wrote:
>>>
>>> [SNIP]
>>>
>>> So, to all autoconfers: do you happen to know any reason for which Automake
>>> should use F77FLAGS? If not, I'll assume that is due to a typo or clerical
>>> mistake, and fix it (in 48 hours or so).
>>>
>> The attached patch should take care of this.  I'll push it tomorrow if there
>> is no objection.
> 
> Isn't this worthy of a NEWS entry?  Or does it not affect end users at all?
>
The bug only affected the "hints" printed by automake in some error messages
(e.g., "The usual way to define `F77' is to add AC_PROG_F77 to configure.ac"),
and I believe that is so minor not to require a NEWS entry.  Anyway, I see
this fact wasn't apparent from my commit message, so I've amended it to be
clearer.  Attached is the patch I've pushed.  If you are still convinced it
deserves a NEWS entry anyway, feel free to write one; I won't object.

Thanks,
  Stefano
>From 84fbf466f32d0e47291a91d620f7d4831bba34fe Mon Sep 17 00:00:00 2001
Message-Id: <84fbf466f[email-masked]>
From: Stefano Lattarini <[email-masked]>
Date: Fri, 20 Jan 2012 20:52:02 +0100
Subject: [PATCH] fixlet: flags for Fortran77 compiler are in FFLAGS, not
 F77FLAGS

This change fixes automake bug#10555.

Note that the bug was a minor one, since it didn't affect the
compilation rules generated by automake, but only only the "hints"
printed by automake in some error messages (e.g., "The usual way
to define `FFLAGS' is to add AC_PROG_F77 to configure.ac").

* lib/Automake/Variable.pm (%_ac_macro_for_var): The code generated
by AC_PROG_F77 uses FFLAGS, not F77FLAGS, as the variable where to
look for switches for the Fortran 77 compiler: adjust accordingly.
---
 lib/Automake/Variable.pm |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/lib/Automake/Variable.pm b/lib/Automake/Variable.pm
index 686847d..8f712bd 100644
--- a/lib/Automake/Variable.pm
+++ b/lib/Automake/Variable.pm
@@ -181,7 +181,7 @@ my %_ac_macro_for_var =
    CXX => 'AC_PROG_CXX',
    CXXFLAGS => 'AC_PROG_CXX',
    F77 => 'AC_PROG_F77',
-   F77FLAGS => 'AC_PROG_F77',
+   FFLAGS => 'AC_PROG_F77',
    FC => 'AC_PROG_FC',
    FCFLAGS => 'AC_PROG_FC',
    OBJC => 'AC_PROG_OBJC',
-- 
1.7.7.3